<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB005 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "occupation",
            "position" => "5",
            "size" => "10",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "income",
            "position" => "15",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "ct_series",
            "position" => "24",
            "size" => "5",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "num_ct",
            "position" => "29",
            "size" => "7",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "36",
            "size" => "1",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "perc_partic",
            "position" => "37",
            "size" => "3",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "filler_2",
            "position" => "40",
            "size" => "76",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}