<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypesPF3_5 {
    public $name = "spc";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_feature",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type",
            'position' => 9,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "total_amount",
            'position' => 12,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "date_first",
            'position' => 15,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "date_last",
            'position' => 21,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "value_last",
            'position' => 27,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "source",
            'position' => 42,
            'size' => 60,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "description",
            'position' => 102,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 112,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}