<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\NXXX;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeN460_00 {
    public $name = "lawsuits";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type_rule",
            'position' => 5,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "dt_ocor",
            'position' => 7,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "var_civel",
            'position' => 15,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "num_distr",
            'position' => 19,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "naturz",
            'position' => 23,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "vlr_action",
            'position' => 26,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "praca",
            'position' => 41,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "uf",
            'position' => 45,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "cidade",
            'position' => 47,
            'size' => 30,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "principal",
            'position' => 77,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "subjudice",
            'position' => 78,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filial",
            'position' => 79,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "digit",
            'position' => 83,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "dt_anot",
            'position' => 85,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "hra_inclus",
            'position' => 93,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "cadus",
            'position' => 99,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler",
            'position' => 109,
            'size' => 7,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
    ];
}